LinuxQMISDK: _SLQSOMADMSessionInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
_SLQSOMADMSessionInfo Struct Reference

## Data Fields
BYTE * | pStatus
WORD * | pUpdateCompleteStatus
BYTE * | pSeverity
WORD * | pSourceLength
BYTE * | pSource
WORD * | pPkgNameLength
BYTE * | pPkgName
WORD * | pPkgDescLength
BYTE * | pPkgDescription
WORD * | pDateLength
BYTE * | pDate
WORD * | pTimeLength
BYTE * | pTime

## Detailed Description

Structure containing the OMA DM Session Info returned by the device. Also used as input parameter to specify the size of variable parameters. (ref. notes)

Parameters

  pStatus | 1 Byte parameter indicating status 0x01 - No Firmware available 0x02 - Query Firmware Download 0x03 - Firmware Downloading 0x04 - Firmware Downloaded 0x05 - Query Firmware Update 0x06 - Firmware Updating 0x07 - Firmware Update
  pUpdateCompleteStatus | 2 byte parameter indicating Update Complete Status See qaGobiApiTableSwiOMADMUpdateCompleteStatus.h Update Complete Status
  pSeverity | 1 byte parameter indicating severity 0x01 - Mandatory 0x02 - Optional
  pSourceLength | 2 byte parameter indicating Length of Vendor Name String in Bytes.
  pSource | Variable length parameter indicating Vendor Name in ASCII
  pPkgNameLength | 2 byte parameter indicating Length of Package Name String in Bytes.
  pPkgName | Variable length parameter indicating Package Name in ASCII
  pPkgDescLength | 2 byte parameter indicating Length of Package Description String in Bytes.
  pPkgDescription | Variable length parameter indicating Package Description in ASCII
  pDateLength | 2 byte parameter indicating Length of Package Description String in Bytes.
  pDate | Variable length parameter indicating Package Description in ASCII
  pTimeLength | 2 byte parameter indicating Length of Time String in Bytes.
  pTime | Variable length parameter indicating Time String in ASCII

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  As input parameter the members pSourceLength, pPkgNameLength pPkgDescLength, pDateLength, pTimeLength have to be specified. These should contain the initialized size of pSource, pPkgName, pPkgDescription, pDate, pTime respectively.

## Field Documentation

BYTE* _SLQSOMADMSessionInfo::pDate

WORD* _SLQSOMADMSessionInfo::pDateLength

WORD* _SLQSOMADMSessionInfo::pPkgDescLength

BYTE* _SLQSOMADMSessionInfo::pPkgDescription

BYTE* _SLQSOMADMSessionInfo::pPkgName

WORD* _SLQSOMADMSessionInfo::pPkgNameLength

BYTE* _SLQSOMADMSessionInfo::pSeverity

BYTE* _SLQSOMADMSessionInfo::pSource

WORD* _SLQSOMADMSessionInfo::pSourceLength

BYTE* _SLQSOMADMSessionInfo::pStatus

BYTE* _SLQSOMADMSessionInfo::pTime

WORD* _SLQSOMADMSessionInfo::pTimeLength

WORD* _SLQSOMADMSessionInfo::pUpdateCompleteStatus